# CH CH CHANGES #

## Wednesday the 19th of August 2015, v3.0.1, v3.0.2 ##

* Fixed some formatting in the docs.

----


## Monday the 4th of November 2013, v3.0.0 ##

* The `cdn` method now takes the Rack env as its first argument, which it should have always done, but at least now it does, so the defaults actually get passed on if set.

----


## Tuesday the 30th of July 2013 ##

### v2.3.1 ###

* Fixed some typos in the README.

----


### v2.3.0 ###

* Added option to pass `false` to the `cdn` method, which then ignores the CDN's and uses the local fallback scripts.
* Media Temple CDN wasn't using the minified version of the file by default, now it is.
* Added a :debug option to the `cdn` method so that the unminified version of the file can be called. Doesn't work with the fallback script as the unminified versions aren't bundled with this library.

----


## Friday the 19th of July 2013, v2.2.0 ##

* Made Media Temple the default CDN as Google (and Microsoft) have sided with the Elzebub, otherwise known as the NSA and GCHQ, and there's no need to make tracking people around the net easier for them.
* Updated the docs.

----


## Friday the 5th of July 2013 ##

### v2.1.1 ###

* Had a require statement that shouldn't have been there. Removed.

----


### v2.1.0 ###

* Updated lib to v1.10.3 of jQuery UI.

----


## Thursday the 4th of July 2013, v2.0.0 ##

OK, I made a bit of mistake with the last release. Not all the CDN's support 1.10.3, but I didn't check that properly. I've rolled this release back to 1.10.1 and I'll push out a release for 1.10.3, but going forward this has prompted some changes:

* There is now a :raise option (that can be used in several places, see the API docs). If a CDN isn't supported and :raise is set to false then the default will be used. If :raise is set to true then an exception is raised.
* There is a command in the Rakefile that can be run to check each CDN to see if it responds ok.
* Updated docs.

----


##  Thursday the 23rd of May 2013, v1.1.0 ##

* Updated to jQuery-UI version 1.10.3.
* Added note about version numbers.
* No undocumented code now.
* Added easier way to run examples.
* Added Cloudflare CDN. 

----


## Thursday the 23rd of May 2013, v1.0.2 ##

* Was missing a little bit of instruction.

----


## Wednesday the 24th of April 2013, v1.0.1 ##

* Fixed clobbering of `call` method.

----


## v1.0.0 ##

Friday the 22nd of March 2013

* Made call thread safe by duplicating `call` method.
* Public API will remain stable so bumped to v1.0.0.

____


## Friday the 7th of March 2013, v0.0.5 ##

* Added some code that checks whether the constants holding the version numbers have already been defined, and warns. It give a stronger warning if the version numbers differ. It won't _always_ cause a problem that they differ, but if I CDN goes down it's likely, so caveat emptor is the phrase of the day.

---- 


## Thursday the 6th of March 2013, v0.0.4 ##

* Using the rack-jquery-helpers library now, to help cut down on duplicated code.
* Cleaned up the examples a bit.

----


## Wednesday the 5th of March 2013, v0.0.3 ##

* Updated gemspec so it automatically shows the current version of jQuery-UI that it supports.

____


## Wednesday the 5th of March 2013, v0.0.2 ##

* Simplified, as moving themes to a separate library.

----
