# require 'rack'

require 'sinatra'

class MyMiddleware
  def initialize(app)
    @app = app
  end

  def call(env)
    warn env.inspect
    @app.call(env)
  end
end


use Rack::Session::Cookie, key: '_dummy_session', secret: '...'
use MyMiddleware
app = Sinatra.new do
  get("/") { 
    session["blah"] = "more blah" 
    "HEllo" 
  }
end

run app